Package Details: ffmpeg-full 4.4-1

Git Clone URL: https://aur.archlinux.org/ffmpeg-full.git (read-only, click to copy)
Package Base: ffmpeg-full
Description: Complete solution to record, convert and stream audio and video (all possible features including libfdk-aac)
Upstream URL: https://www.ffmpeg.org/
Keywords: audio codec convert cuda cuvid decklink encoder fdk-aac fdkaac hwaccel libnpp media nvenc svt video
Licenses: custom: nonfree and unredistributable
Conflicts: ffmpeg
Provides: ffmpeg, libavcodec.so, libavdevice.so, libavfilter.so, libavformat.so, libavresample.so, libavutil.so, libpostproc.so, libswresample.so, libswscale.so
Submitter: rpolzer
Maintainer: dbermond
Last Packager: dbermond
Votes: 105
Popularity: 0.021806
First Submitted: 2013-01-24 11:17
Last Updated: 2021-04-09 22:04

Dependencies (113)

Required by (1000)

Sources (8)

justin8 commented on 2014-05-14 11:33

Another git dependency :( If that is required, it should be added as a dependency instead of zeromq

AntoineVe commented on 2014-05-14 11:31

@justin8 : install https://aur.archlinux.org/packages/zeromq-git

justin8 commented on 2014-05-14 10:36

Currently getting ERROR: libzmq not found

vladev commented on 2014-05-07 13:51

For people needing ffmpeg 2.2.2 (since 2.2.1 stopped working due to API changes in x265) just remove the patch, bump the version, fix the checksums and it works.

MagicAndWires commented on 2014-05-07 03:25

Current stable version won't build with x265-1.0, either leave it out or rebuild using the latest version of libavcodec/libx265.c

(Found here: http://git.videolan.org/?p=ffmpeg.git;a=blob_plain;f=libavcodec/libx265.c)

rpolzer commented on 2014-04-20 19:32

Is rebuilding extra/ffmpeg affected as well? If yes, I'll probably ignore this until extra/ffmpeg is fixed, so we have a consistent fix. Report this issue to extra/ffmpeg then.

A workaround would be figuring out the command line flag to disable HTML

patrickmclaren commented on 2014-04-20 03:39

Am getting the following error when building:

HOSTLD doc/print_options
GENTEXI doc/avoptions_format.texi
GENTEXI doc/avoptions_codec.texi
HTML doc/ffmpeg.html
dirname: invalid option -- 'I'
Try 'dirname --help' for more information.
basename: invalid option -- 'I'
Try 'basename --help' for more information.
Option I requires an argument
doc/Makefile:83: recipe for target 'doc/ffmpeg.html' failed
make: *** [doc/ffmpeg.html] Error 1
==> ERROR: A failure occurred in build().
Aborting...

rpolzer commented on 2014-04-12 10:02

Was an incompatible x265 api change. Fixed now.

Anonymous comment on 2014-04-12 01:14

colinkeenan: I can reproduce that. Crappy workaround is to just drop x265 from the build.

colinkeenan commented on 2014-04-10 18:38

Can't build:

CC libavcodec/libx265.o
libavcodec/libx265.c: In function ‘libx265_encode_init’:
libavcodec/libx265.c:124:16: error: ‘x265_param’ has no member named ‘bEnableVuiParametersPresentFlag’
ctx->params->bEnableVuiParametersPresentFlag = 1;
^
libavcodec/libx265.c:125:16: error: ‘x265_param’ has no member named ‘bEnableAspectRatioIdc’
ctx->params->bEnableAspectRatioIdc = 1;
^
libavcodec/libx265.c:126:16: error: ‘x265_param’ has no member named ‘aspectRatioIdc’
ctx->params->aspectRatioIdc = 255;
^
libavcodec/libx265.c:127:16: error: ‘x265_param’ has no member named ‘sarWidth’
ctx->params->sarWidth = sar_num;
^
libavcodec/libx265.c:128:16: error: ‘x265_param’ has no member named ‘sarHeight’
ctx->params->sarHeight = sar_den;
^
common.mak:49: recipe for target 'libavcodec/libx265.o' failed
make: *** [libavcodec/libx265.o] Error 1
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build ffmpeg-full.